Subject: [scim] JSON Patch

From: Emmanuel Dreux <[email-masked]>
Date: Tue, 18 Sep 2012 11:32:11 +0000

What do you think of including the support of this?

   JavaScript Object Notation (JSON) [RFC4627<http://tools.ietf.org/html/rfc4627>] is a common format for

   the exchange and storage of structured data.  HTTP PATCH [RFC5789<http://tools.ietf.org/html/rfc5789>]

   extends the Hypertext Transfer Protocol (HTTP) [RFC2616<http://tools.ietf.org/html/rfc2616>] with a

   method to perform partial modifications to resources.

   The JSON Patch media type "application/json-patch" is a JSON document

   structure for expressing a sequence of operations to apply to a

   target JSON document, suitable for use with the HTTP PATCH method.

http://tools.ietf.org/html/draft-ietf-appsawg-json-patch-04

--
Cordialement / Regards,
Emmanuel Dreux
http://www.cloudiway.com
Tel: +33 4 26 78 17 58
Mobile: +33 6 47 81 26 70
skype: Emmanuel.Dreux

---

From: Kelly Grizzle <[email-masked]>
Date: Wed, 19 Sep 2012 15:45:25 +0000

Generally, I like the diff-like structure of JSON Patch and would like to see something like this in SCIM.  The main problem that I have with it is that it relies on JSON Pointer, which uses indexes to address list elements (eg - /bar/mylist/1).  Index-based patching does not seem like enough for SCIM.  For example, a common use case for patch is to add or remove a member to/from a group.  Having to know the list index before issuing this operation seems onerous.

--Kelly

From: [email-masked] [mailto:[email-masked]] On Behalf Of Emmanuel Dreux
Sent: Tuesday, September 18, 2012 6:32 AM
To: [email-masked]
Subject: [scim] JSON Patch

---

From: Leif Johansson <[email-masked]>
Date: Fri, 21 Sep 2012 21:59:39 +0200

On 09/19/2012 05:45 PM, Kelly Grizzle wrote:
> Generally, I like the diff-like structure of JSON Patch and would
> like to see something like this in SCIM.  The main problem that I
> have with it is that it relies on JSON Pointer, which uses indexes
> to address list elements (eg - /bar/mylist/1).  Index-based
> patching does not seem like enough for SCIM.  For example, a common
> use case for patch is to add or remove a member to/from a group.
> Having to know the list index before issuing this operation seems
> onerous.

Speaking as an individual, I agree.

Having to pick up the index is not only onerous it introduces
pretty bad race-conditions too.

	Cheers Leif